%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d
#define devstat %%mklibname %%{name} -d -s

Name:           hackrf
Version:        2018.01.1
Release:        %mkrel 3
Summary:        A project to produce a low cost open source software radio platform
Group:          Communications/Radio
License:        GPLv2
# https://github.com/mossmann/hackrf/wiki
URL:            https://github.com/mossmann/%{name}/wiki
Source0:        https://github.com/mossmann/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  pkgconfig(libusb)
BuildRequires:  systemd
BuildRequires:  pkgconfig(fftw3)

%description
Hardware designs and software for HackRF, a project to produce a low cost, open
source software radio platform.

%package -n %{libname}
Summary:        Library files for %{name}
Requires:       %{name} = %{version}-%{release}

%package -n %{devname}
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%package doc
Requires:       %{name} = %{version}-%{release}
Summary:        Supplemental documentation for HackRF
BuildArch:      noarch

%if %{defined devstat}
%package -n %{devstat}
Summary:        Static libraries for libhackrf
Requires:       %{name}-devel = %{version}-%{release}
Provides:       %{name}-static-devel = %{version}-%{release}

%description -n %{devstat}
Static libraries for libhackrf.

%files -n %{devstat}
%{_libdir}/libhackrf.a
%endif

%description -n %{devname}
Files needed to develop software against libhackrf.

%description -n %{libname}
hackrf library files.

%description doc
Supplemental documentation for HackRF. For more information, visit the wiki at
https://github.com/mossmann/hackrf/wiki

%prep
%setup -q

# Fix "plugdev" nonsense
sed -i -e 's/GROUP="plugdev"/ENV{ID_SOFTWARE_RADIO}="1"/g' host/libhackrf/53-hackrf.rules

%build
%global _vpath_srcdir host
%cmake \
    -DINSTALL_UDEV_RULES=on \
    -DUDEV_RULES_PATH=%{_udevrulesdir}
%cmake_build

%install
%cmake_install

%if ! %{defined devstat}
rm -f %{buildroot}%{_libdir}/libhackrf.a
%endif

%files
%doc TRADEMARK Readme.md
%{_bindir}/hackrf_*
%{_udevrulesdir}/53-hackrf.rules

%files -n %{libname}
%{_libdir}/libhackrf.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/libhackrf/hackrf.h
%{_libdir}/pkgconfig/libhackrf.pc
%{_libdir}/libhackrf.so

%files doc
%doc doc/*


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 2018.01.1-3.mga8
+ Revision: 1512919
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2018.01.1-2.mga7
+ Revision: 1298161
- Mageia 7 Mass Rebuild

* Mon Jan 29 2018 barjac <barjac> 2018.01.1-1.mga7
+ Revision: 1198043
- new version 2018.10.1

* Sat Oct 14 2017 barjac <barjac> 2017.02.1-1.mga7
+ Revision: 1171714
- new version 2017.02.1

* Sat Jan 28 2017 barjac <barjac> 2015.07.2-3.mga6
+ Revision: 1083706
- fix udev path during build

* Thu Feb 11 2016 umeabot <umeabot> 2015.07.2-2.mga6
+ Revision: 954281
- Mageia 6 Mass Rebuild

* Fri Sep 11 2015 barjac <barjac> 2015.07.2-1.mga6
+ Revision: 876885
- new version 2015.07.2

* Sat Jan 17 2015 barjac <barjac> 2014.08.1-1.mga5
+ Revision: 811099
- Import hackRF based loosely on Fedora with thanks

